import request from '@/utils/request'

// 查询风控材料列表
export function listRiskInfo(query) {
  return request({
    url: '/ss/riskInfo/list',
    method: 'get',
    params: query
  })
}

// 查询风控材料详细
export function getRiskInfo(infoId) {
  return request({
    url: '/ss/riskInfo/' + infoId,
    method: 'get'
  })
}

// 新增风控材料
export function addRiskInfo(data) {
  return request({
    url: '/ss/riskInfo',
    method: 'post',
    data: data
  })
}

// 修改风控材料
export function updateRiskInfo(data) {
  return request({
    url: '/ss/riskInfo',
    method: 'put',
    data: data
  })
}

// 删除风控材料
export function delRiskInfo(infoId) {
  return request({
    url: '/ss/riskInfo/' + infoId,
    method: 'delete'
  })
}

// 审核风控材料
export function verifyRiskInfo(data) {
  return request({
    url: '/ss/riskInfo/verify',
    method: 'put',
    data
  })
}
